Bug 1655094 - Additional new lines in remote execution output
Summary: Additional new lines in remote execution output
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-30 15:21 UTC by Ivan Necas
Modified: 2019-10-07 17:19 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution-1.6.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:27 UTC
Foreman Issue Tracker 25598 None None None 2018-11-30 15:23:35 UTC
Red Hat Bugzilla 1532675 None CLOSED incorrectly rendered empty lines in commands output on "Detail of Commands run" page 2019-08-08 15:04:00 UTC

Internal Links: 1532675

Description Ivan Necas 2018-11-30 15:21:16 UTC
Description of problem:
With https://bugzilla.redhat.com/show_bug.cgi?id=1532675, we've update the way
how we render the output. However, there was an issue introduced, that caused
additional empty lines to sneak into the output.

Version-Release number of selected component (if applicable):


How reproducible:
90%

Steps to Reproduce:
1. run rex job running 'echo one; sleep 1; echo two; sleep 1; echo three'


Actual results:

Job output on host is shown as:
   1: one
   2:
   3: two
   4:
   5: three
   6:
   7: Exit status: 0

Expected results:

Job output looks like this:

   1: one
   2: two
   3: three
   4: Exit status: 0

Additional info:

Comment 4 Ivan Necas 2018-11-30 15:23:33 UTC
Created redmine issue https://projects.theforeman.org/issues/25598 from this bug

Comment 5 Peter Ondrejka 2018-12-10 14:17:03 UTC
Verified on Sat 6.5 snap 7 on using ansible and ssh command templates

Comment 8 errata-xmlrpc 2019-05-14 12:39:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.